<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do ładowanie posdtawowych ustawienia Black Mina
	
	Black Min cms,
	
	#plik: 1.0
*/


	class get_socialmedia_bm {
	
		public function get_socialmedia() {
			global $host, $db_user, $db_password, $db_name, $prefix_table, $polaczenie, $rezultat, $date, $date2, $date3, $date4, $time, $time2;
			
			mysqli_report(MYSQLI_REPORT_STRICT);
			
			try 
			{
				$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
				if ($polaczenie->connect_errno!=0)
				{
					throw new Exception(mysqli_connect_errno());
				}
				else
				{		
					mysqli_query($polaczenie, "SET CHARSET utf8");
					mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");		

					if ($rezultat = $polaczenie->query(
					sprintf("SELECT * FROM `".$prefix_table."bm_postmeta` WHERE `bm_nazwa` LIKE 'submile' OR `bm_nazwa` LIKE 'facebook' OR `bm_nazwa` LIKE 'youtube' OR `bm_nazwa` LIKE 'google_plus' OR `bm_nazwa` LIKE 'instagram' OR `bm_nazwa` LIKE 'bm_aupt_acces' OR `bm_nazwa` LIKE 'bm_data_instalacji' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji_tytul' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji_opis' OR `bm_nazwa` LIKE 'twitter'"))) {
						
						$ile = mysqli_num_rows($rezultat);
						
						$get_status = array(
							"bm_nazwa" => array(),
							"bm_wartosc" => array()
							//"bm_nazwa" => "res",
							//"bm_wartosc" => "er"
						);
						
						//var_dump($get_status["bm_nazwa"]["bm_wartosc"]);
						
						for($i = 0; $i < $ile; $i++){
						
							$row = mysqli_fetch_assoc($rezultat);
							$id = $row['id'];
							$bm_nazwa = $row['bm_nazwa'];
							$bm_wartosc = $row['bm_wartosc'];
							
							array_push($get_status["bm_nazwa"], $row['bm_nazwa']);
							array_push($get_status["bm_wartosc"], $row['bm_wartosc']);
						}
						//echo $get_status["bm_nazwa"][1];
						//echo $get_status["bm_wartosc"][0];
						//var_dump($get_status);
					};	
					
					$polaczenie->close();
				}
				
			}
			catch(Exception $e)
			{
				echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań póżniej!</span>';
				//echo '<br />Informacja developerska: '.$e;
			}
			
			return $get_status;
		}

	}

?>